Buenas, recien instalo la ultima version de BackTrack (4r2) y actualice todo y tambien metasploit con #msfupdate y me da el siguiente error:

Code:
root@bt:~# msfconsole
/usr/lib/ruby/1.8/uri/generic.rb:1106:in `instance_method': UnboundMethod is not a symbol (TypeError)
        from /usr/lib/ruby/1.8/uri/generic.rb:1106
        from /usr/lib/ruby/1.8/uri.rb:23:in `require'
        from /usr/lib/ruby/1.8/uri.rb:23
        from /opt/metasploit3/msf3/lib/rex/proto/http/request.rb:1:in `require'
        from /opt/metasploit3/msf3/lib/rex/proto/http/request.rb:1
        from /opt/metasploit3/msf3/lib/rex/proto/http.rb:2:in `require'
        from /opt/metasploit3/msf3/lib/rex/proto/http.rb:2
        from /opt/metasploit3/msf3/lib/rex/proto.rb:1:in `require'
        from /opt/metasploit3/msf3/lib/rex/proto.rb:1
        from /opt/metasploit3/msf3/lib/rex.rb:78:in `require'
        from /opt/metasploit3/msf3/lib/rex.rb:78
        from /usr/local/bin/msfconsole:110:in `require'
        from /usr/local/bin/msfconsole:110
root@bt:~#
Si a alguien le paso, agradezco su ayuda, sino cuando lo resuelva publico. Saludos!